# wsa5__RelatesToType Struct Reference

"http://www.w3.org/2005/08/addressing":RelatesToType is a complexType with simpleContent. More...

`#include <wsa5.h>`

List of all members.

## Public Attributes

char * | __item
| __item wraps 'xs:anyURI' simpleContent.
wsa5__RelationshipTypeOpenEnum | RelationshipType
| Attribute RelationshipType of type "http://www.w3.org/2005/08/addressing":RelationshipTypeOpenEnum.
_XML | __anyAttribute
| Catch any attribute content in XML string.

## Detailed Description

"http://www.w3.org/2005/08/addressing":RelatesToType is a complexType with simpleContent.

## Member Data Documentation

_XML wsa5__RelatesToType::__anyAttribute

| Catch any attribute content in XML string. TODO: <anyattribute namespace="##other"> Schema extensibility is user-definable. Consult the protocol documentation to change or insert declarations. Use wsdl2h option -x to remove this attribute.

char* wsa5__RelatesToType::__item

| __item wraps 'xs:anyURI' simpleContent.

wsa5__RelationshipTypeOpenEnum wsa5__RelatesToType::RelationshipType

| Attribute RelationshipType of type "http://www.w3.org/2005/08/addressing":RelationshipTypeOpenEnum. Optional attribute.

The documentation for this struct was generated from the following file:

- /Users/engelen/Projects/gsoap/import/wsa5.h